# Had Real physical testing round for Node Edit Protection 1.0.x-dev with Drupal ~9.0

# Build Drupal ~9.0 sandbox test site and have Drush ~11.0
mkdir -p /var/www/html/sandboxes
composer create-project drupal/recommended-project:~9.0 /var/www/html/sandboxes/drupal9node_edit_protection_1__test
cd /var/www/html/sandboxes/drupal9node_edit_protection_1__test/
composer require drush/drush:~11.0;

# Change minimum stability to dev for testing on the recommended Drupal 9 project template
composer config minimum-stability dev

# Add the Node Edit Protection module
mkdir -p /var/www/html/sandboxes/drupal9node_edit_protection_1__test/web/modules/contrib
cd /var/www/html/sandboxes/drupal9node_edit_protection_1__test/web/modules/contrib/
git clone --branch '8.x-1.x' https://git.drupalcode.org/project/node_edit_protection.git

# Git apply the needed patch
cd /var/www/html/sandboxes/drupal9node_edit_protection_1__test/web/modules/contrib/node_edit_protection/
wget https://www.drupal.org/files/issues/2022-06-16/node_edit_protection.1.x-dev.rector.patch
git apply node_edit_protection.1.x-dev.rector.patch

# Change file/directory mod and ownership of files:
cd /var/www/html/sandboxes/drupal9node_edit_protection_1__test/
sudo chmod 775 -R .;sudo chown www-data:$USER -R .;

# Install with Drush
./vendor/drush/drush/drush site:install standard --yes --site-name="Node Edit Protection 1.0.x-dev - Real physical testing with Drupal ~9" --account-name="webmaster" --account-pass="d" --account-mail="test@drupal.org" --db-url="mysql://root:123___@localhost/drupal9node_edit_protection_1__test" -vvv ;

./vendor/drush/drush/drush pm:enable node_edit_protection



# Rebuild the cache:
sudo chmod 775 -R .;sudo chown www-data:$USER -R .;
./vendor/drush/drush/drush cache:rebuild

# Open a browser and change the address to:
# http://localhost/sandboxes/drupal9node_edit_protection_1__test/web/


# Check Upgrade status
composer require mglaman/drupal-check --dev
composer require phpspec/prophecy-phpunit:^2 --dev
composer require drupal/upgrade_status:3.x-dev

# Enagle the Upgrade Status module
./vendor/drush/drush/drush pm:enable upgrade_status

# Open a browser and change the address to:
# http://localhost/sandboxes/drupal9node_edit_protection_1__test/web/admin/reports/upgrade-status
# Select the module and press Scan selected

